// Copyright (c) 2001-2003 Quadralay Corporation.  All rights reserved.
//

function  WWHJavaScriptMessages_Object()
{
  // Set default messages
  //
  WWHJavaScriptMessages_Set_en(this);

  this.fSetByLocale = WWHJavaScriptMessages_SetByLocale;
}

function  WWHJavaScriptMessages_SetByLocale(ParamLocale)
{
  var  LocaleFunction = null;


  // Match locale
  //
  if ((ParamLocale.length > 1) &&
      (eval("typeof(WWHJavaScriptMessages_Set_" + ParamLocale + ")") == "function"))
  {
    LocaleFunction = eval("WWHJavaScriptMessages_Set_" + ParamLocale);
  }
  else if ((ParamLocale.length > 1) &&
           (eval("typeof(WWHJavaScriptMessages_Set_" + ParamLocale.substring(0, 2) + ")") == "function"))
  {
    LocaleFunction = eval("WWHJavaScriptMessages_Set_" + ParamLocale.substring(0, 2));
  }

  // Default already set, only override if locale found
  //
  if (LocaleFunction != null)
  {
    LocaleFunction(this);
  }
}

function  WWHJavaScriptMessages_Set_de(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "Daten werden geladen...";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "Inhalt";
  ParamMessages.mTabsIndexLabel  = "Index";
  ParamMessages.mTabsSearchLabel = "Suchen";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "Die aktuelle Seite wurde nicht im Inhalt gefunden.";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "Das von Ihnen gew?hlte Indexwort bzw. der gew?hlte Indexbegriff tritt in mehreren Dokumenten auf.";
  ParamMessages.mIndexSelectMessage2 = "W?hlen Sie ein Dokument aus.";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "Suchen";
  ParamMessages.mSearchScopeAllLabel       = "Alle verf?gbaren B?cher";
  ParamMessages.mSearchDefaultMessage      = "Geben Sie das Wort bzw. die Worte ein, nach denen gesucht werden soll:";
  ParamMessages.mSearchSearchingMessage    = "(Suchen)";
  ParamMessages.mSearchNothingFoundMessage = "(keine Ergebnisse)";
  ParamMessages.mSearchRankLabel           = "Rang";
  ParamMessages.mSearchTitleLabel          = "Titel";
  ParamMessages.mSearchBookLabel           = "Buch";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "DE Select %s";
  ParamMessages.mAccessibilityNavigationFrameName = "DE %s navigation";
  ParamMessages.mAccessibilityActiveTab           = "DE %s tab is active";
  ParamMessages.mAccessibilityInactiveTab         = "DE Switch to %s tab";
  ParamMessages.mAccessibilityTOCBookExpanded     = "DE Book %s expanded";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "DE Book %s collapsed";
  ParamMessages.mAccessibilityTOCTopic            = "DE Topic %s";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "DE %s of %s";
  ParamMessages.mAccessibilityIndexEntry          = "DE Topic %s of Book %s";
  ParamMessages.mAccessibilityIndexSecondEntry    = "DE Topic %s of Book %s link %s";
}

function  WWHJavaScriptMessages_Set_en(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "Loading data...";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "Contents";
  ParamMessages.mTabsIndexLabel  = "Index";
  ParamMessages.mTabsSearchLabel = "Search";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "The current page could not be found in the table of contents.";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "The index word or phrase you chose occurs in multiple documents.";
  ParamMessages.mIndexSelectMessage2 = "Please choose one.";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "Go!";
  ParamMessages.mSearchScopeAllLabel       = "All Available Books";
  ParamMessages.mSearchDefaultMessage      = "Type in the word(s) to search for:";
  ParamMessages.mSearchSearchingMessage    = "(searching)";
  ParamMessages.mSearchNothingFoundMessage = "(no results)";
  ParamMessages.mSearchRankLabel           = "Rank";
  ParamMessages.mSearchTitleLabel          = "Title";
  ParamMessages.mSearchBookLabel           = "Book";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "Select %s";
  ParamMessages.mAccessibilityNavigationFrameName = "%s navigation";
  ParamMessages.mAccessibilityActiveTab           = "%s tab is active";
  ParamMessages.mAccessibilityInactiveTab         = "Switch to %s tab";
  ParamMessages.mAccessibilityTOCBookExpanded     = "Book %s expanded";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "Book %s collapsed";
  ParamMessages.mAccessibilityTOCTopic            = "Topic %s";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "%s of %s";
  ParamMessages.mAccessibilityIndexEntry          = "Topic %s of Book %s";
  ParamMessages.mAccessibilityIndexSecondEntry    = "Topic %s of Book %s link %s";
}

function  WWHJavaScriptMessages_Set_es(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "Cargando datos...";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "Contenido";
  ParamMessages.mTabsIndexLabel  = "?ndice";
  ParamMessages.mTabsSearchLabel = "Buscar";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "Esta p?gina no se encontr? en el ?ndice de contenidos.";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "La frase o palabra del ?ndice elegida aparece en varios documentos.";
  ParamMessages.mIndexSelectMessage2 = "Elija uno.";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "Ir";
  ParamMessages.mSearchScopeAllLabel       = "Todos los libros disponibles";
  ParamMessages.mSearchDefaultMessage      = "Escriba las palabras que desee buscar:";
  ParamMessages.mSearchSearchingMessage    = "(buscando)";
  ParamMessages.mSearchNothingFoundMessage = "(ning?n resultado)";
  ParamMessages.mSearchRankLabel           = "Clase";
  ParamMessages.mSearchTitleLabel          = "T?tulo";
  ParamMessages.mSearchBookLabel           = "Libro";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "ES Select %s";
  ParamMessages.mAccessibilityNavigationFrameName = "ES %s navigation";
  ParamMessages.mAccessibilityActiveTab           = "ES %s tab is active";
  ParamMessages.mAccessibilityInactiveTab         = "ES Switch to %s tab";
  ParamMessages.mAccessibilityTOCBookExpanded     = "ES Book %s expanded";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "ES Book %s collapsed";
  ParamMessages.mAccessibilityTOCTopic            = "ES Topic %s";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "ES %s of %s";
  ParamMessages.mAccessibilityIndexEntry          = "ES Topic %s of Book %s";
  ParamMessages.mAccessibilityIndexSecondEntry    = "ES Topic %s of Book %s link %s";
}

function  WWHJavaScriptMessages_Set_fr(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "Chargement des donn?es...";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "Table des mati?res";
  ParamMessages.mTabsIndexLabel  = "Index";
  ParamMessages.mTabsSearchLabel = "Rechercher";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "Page introuvable dans la table des mati?res.";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "Le terme ou l'expression d'index que vous avez choisis apparaissent dans plusieurs documents.";
  ParamMessages.mIndexSelectMessage2 = "S?lectionnez-en un.";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "Lancer";
  ParamMessages.mSearchScopeAllLabel       = "Tous les livres disponibles";
  ParamMessages.mSearchDefaultMessage      = "Saisissez un ou plusieurs mots cl?s?:";
  ParamMessages.mSearchSearchingMessage    = "(recherche en cours)";
  ParamMessages.mSearchNothingFoundMessage = "(aucun r?sultat)";
  ParamMessages.mSearchRankLabel           = "Pertinence";
  ParamMessages.mSearchTitleLabel          = "Titre";
  ParamMessages.mSearchBookLabel           = "Livre";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "FR Select %s";
  ParamMessages.mAccessibilityNavigationFrameName = "FR %s navigation";
  ParamMessages.mAccessibilityActiveTab           = "FR %s tab is active";
  ParamMessages.mAccessibilityInactiveTab         = "FR Switch to %s tab";
  ParamMessages.mAccessibilityTOCBookExpanded     = "FR Book %s expanded";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "FR Book %s collapsed";
  ParamMessages.mAccessibilityTOCTopic            = "FR Topic %s";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "FR %s of %s";
  ParamMessages.mAccessibilityIndexEntry          = "FR Topic %s of Book %s";
  ParamMessages.mAccessibilityIndexSecondEntry    = "FR Topic %s of Book %s link %s";
}

function  WWHJavaScriptMessages_Set_it(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "Caricamento dati in corso...";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "Contenuto";
  ParamMessages.mTabsIndexLabel  = "Indice";
  ParamMessages.mTabsSearchLabel = "Cerca";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "La pagina corrente non ? stata trovata nel Sommario.";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "La parola o la frase cercata nell'indice ? presente in pi? documenti.";
  ParamMessages.mIndexSelectMessage2 = "Sceglierne uno.";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "Vai!";
  ParamMessages.mSearchScopeAllLabel       = "Tutti i libri disponibili";
  ParamMessages.mSearchDefaultMessage      = "Digitare le parole da cercare:";
  ParamMessages.mSearchSearchingMessage    = "(ricerca in corso)";
  ParamMessages.mSearchNothingFoundMessage = "(nessun risultato)";
  ParamMessages.mSearchRankLabel           = "Classe";
  ParamMessages.mSearchTitleLabel          = "Titolo";
  ParamMessages.mSearchBookLabel           = "Libro";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "IT Select %s";
  ParamMessages.mAccessibilityNavigationFrameName = "IT %s navigation";
  ParamMessages.mAccessibilityActiveTab           = "IT %s tab is active";
  ParamMessages.mAccessibilityInactiveTab         = "IT Switch to %s tab";
  ParamMessages.mAccessibilityTOCBookExpanded     = "IT Book %s expanded";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "IT Book %s collapsed";
  ParamMessages.mAccessibilityTOCTopic            = "IT Topic %s";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "IT %s of %s";
  ParamMessages.mAccessibilityIndexEntry          = "IT Topic %s of Book %s";
  ParamMessages.mAccessibilityIndexSecondEntry    = "IT Topic %s of Book %s link %s";
}

function  WWHJavaScriptMessages_Set_ja(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "\u30c7?\u30bf\u3092?\u307f?\u3093\u3067\u3044\u307e\u3059\u3002";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "\u76ee\u6b21";
  ParamMessages.mTabsIndexLabel  = "\u7d22\u5f15";
  ParamMessages.mTabsSearchLabel = "?\u7d22";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "\u73fe\u5728\u306e\u30da?\u30b8\u306f\u76ee\u6b21?\u3067\u898b\u3064\u304b\u308a\u307e\u305b\u3093\u3067\u3057\u305f\u3002";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "\u9078?\u3057\u305f\u7d22\u5f15\u306e?\u8a9e\u307e\u305f\u306f\u53e5\u306f\u3001\u8907?\u306e\u30c9\u30ad\u30e5\u30e1\u30f3\u30c8?\u3067\u4f7f\u7528\u3055\u308c\u3066\u3044\u307e\u3059\u3002";
  ParamMessages.mIndexSelectMessage2 = "1 \u3064\u306e\u30c9\u30ad\u30e5\u30e1\u30f3\u30c8\u3092\u9078?\u3057\u3066\u304f\u3060\u3055\u3044\u3002";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "Go!";
  ParamMessages.mSearchScopeAllLabel       = "\u5229\u7528\u53ef\u80fd\u306a\u3059\u3079\u3066\u306e\u30d6\u30c3\u30af";
  ParamMessages.mSearchDefaultMessage      = "?\u7d22?\u8c61\u8a9e:";
  ParamMessages.mSearchSearchingMessage    = "(?\u7d22\u4e2d)";
  ParamMessages.mSearchNothingFoundMessage = "(\u7d50\u679c\u306a\u3057)";
  ParamMessages.mSearchRankLabel           = "\u30e9\u30f3\u30af";
  ParamMessages.mSearchTitleLabel          = "\u30bf\u30a4\u30c8\u30eb";
  ParamMessages.mSearchBookLabel           = "\u30d6\u30c3\u30af";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "JA Select %s";
  ParamMessages.mAccessibilityNavigationFrameName = "JA %s navigation";
  ParamMessages.mAccessibilityActiveTab           = "JA %s tab is active";
  ParamMessages.mAccessibilityInactiveTab         = "JA Switch to %s tab";
  ParamMessages.mAccessibilityTOCBookExpanded     = "JA Book %s expanded";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "JA Book %s collapsed";
  ParamMessages.mAccessibilityTOCTopic            = "JA Topic %s";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "JA %s of %s";
  ParamMessages.mAccessibilityIndexEntry          = "JA Topic %s of Book %s";
  ParamMessages.mAccessibilityIndexSecondEntry    = "JA Topic %s of Book %s link %s";
}

function  WWHJavaScriptMessages_Set_ko(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "\ub370\uc774\ud130 \ub85c\ub4dc \uc911...";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "\ubaa9\ucc28";
  ParamMessages.mTabsIndexLabel  = "\uc0c9\uc778";
  ParamMessages.mTabsSearchLabel = "\uac80\uc0c9";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "\ubaa9\ucc28\uc5d0\uc11c \ud604\uc7ac \ud398\uc774\uc9c0\ub97c \ucc3e\uc744 \uc218 \uc5c6\uc2b5\ub2c8\ub2e4.";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "\uc120\ud0dd\ud55c \uc0c9\uc778 \ub2e8\uc5b4 \ub610\ub294 \uad6c\ubb38\uc774 \uc5ec\ub7ec \ubb38\uc11c\uc5d0 \uc874\uc7ac\ud569\ub2c8\ub2e4.";
  ParamMessages.mIndexSelectMessage2 = "\ud558\ub098\ub97c \uc120\ud0dd\ud558\uc2ed\uc2dc\uc624.";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "\uac80\uc0c9";
  ParamMessages.mSearchScopeAllLabel       = "\ubaa8\ub4e0 \ucc45";
  ParamMessages.mSearchDefaultMessage      = "\uac80\uc0c9\uc5b4\ub97c \uc785\ub825\ud558\uc2ed\uc2dc\uc624.";
  ParamMessages.mSearchSearchingMessage    = "(\uac80\uc0c9 \uc911)";
  ParamMessages.mSearchNothingFoundMessage = "(\uacb0\uacfc \uc5c6\uc74c)";
  ParamMessages.mSearchRankLabel           = "\ub4f1\uae09";
  ParamMessages.mSearchTitleLabel          = "\uc81c\ubaa9";
  ParamMessages.mSearchBookLabel           = "\ucc45";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "%s \uc120\ud0dd";
  ParamMessages.mAccessibilityNavigationFrameName = "%s \ud0d0\uc0c9";
  ParamMessages.mAccessibilityActiveTab           = "%s \ud0ed\uc774 \ud65c\uc131\ud654\ub428";
  ParamMessages.mAccessibilityInactiveTab         = "%s \ud0ed\uc73c\ub85c \uc804\ud658";
  ParamMessages.mAccessibilityTOCBookExpanded     = "%s \ubb38\uc11c \ud655\uc7a5";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "%s \ubb38\uc11c \ucd95\uc18c";
  ParamMessages.mAccessibilityTOCTopic            = "%s \ud56d\ubaa9";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "%s(%s \uc911)";
  ParamMessages.mAccessibilityIndexEntry          = "%s \ud56d\ubaa9(%s \ubb38\uc11c \uc911)";
  ParamMessages.mAccessibilityIndexSecondEntry    = "%s \ud56d\ubaa9(%s \ubb38\uc11c %s \ub9c1\ud06c \uc911)";
}

function  WWHJavaScriptMessages_Set_pt(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "Carregando dados...";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "Conte?do";
  ParamMessages.mTabsIndexLabel  = "?ndice remissivo";
  ParamMessages.mTabsSearchLabel = "Procurar";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "A p?gina atual n?o p?de ser encontrada no Sum?rio.";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "A palavra ou frase escolhida no ?ndice remissivo consta de mais de um documento.";
  ParamMessages.mIndexSelectMessage2 = "Escolha um.";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "Prosseguir";
  ParamMessages.mSearchScopeAllLabel       = "Todos os livros dispon?veis";
  ParamMessages.mSearchDefaultMessage      = "Digite a(s) palavra(s) a ser(em) procurada(s):";
  ParamMessages.mSearchSearchingMessage    = "(procurando)";
  ParamMessages.mSearchNothingFoundMessage = "(nenhum resultado)";
  ParamMessages.mSearchRankLabel           = "Escopo";
  ParamMessages.mSearchTitleLabel          = "T?tulo";
  ParamMessages.mSearchBookLabel           = "Livro";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "PT Select %s";
  ParamMessages.mAccessibilityNavigationFrameName = "PT %s navigation";
  ParamMessages.mAccessibilityActiveTab           = "PT %s tab is active";
  ParamMessages.mAccessibilityInactiveTab         = "PT Switch to %s tab";
  ParamMessages.mAccessibilityTOCBookExpanded     = "PT Book %s expanded";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "PT Book %s collapsed";
  ParamMessages.mAccessibilityTOCTopic            = "PT Topic %s";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "PT %s of %s";
  ParamMessages.mAccessibilityIndexEntry          = "PT Topic %s of Book %s";
  ParamMessages.mAccessibilityIndexSecondEntry    = "PT Topic %s of Book %s link %s";
}

function  WWHJavaScriptMessages_Set_sv(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "L?ser in data...";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "Inneh?ll";
  ParamMessages.mTabsIndexLabel  = "Index";
  ParamMessages.mTabsSearchLabel = "S?k";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "Det gick inte att hitta den aktuella sidan i inneh?llsf?rteckningen.";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "Indexordet eller frasen du valde f?rekommer i flera dokument.";
  ParamMessages.mIndexSelectMessage2 = "V?lj ett dokument.";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "Visa!";
  ParamMessages.mSearchScopeAllLabel       = "Alla tillg?ngliga b?cker";
  ParamMessages.mSearchDefaultMessage      = "Ange ord du vill s?ka:";
  ParamMessages.mSearchSearchingMessage    = "(s?ker)";
  ParamMessages.mSearchNothingFoundMessage = "(inga resultat)";
  ParamMessages.mSearchRankLabel           = "Relevans";
  ParamMessages.mSearchTitleLabel          = "Rubrik";
  ParamMessages.mSearchBookLabel           = "Bok";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "SV Select %s";
  ParamMessages.mAccessibilityNavigationFrameName = "SV %s navigation";
  ParamMessages.mAccessibilityActiveTab           = "SV %s tab is active";
  ParamMessages.mAccessibilityInactiveTab         = "SV Switch to %s tab";
  ParamMessages.mAccessibilityTOCBookExpanded     = "SV Book %s expanded";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "SV Book %s collapsed";
  ParamMessages.mAccessibilityTOCTopic            = "SV Topic %s";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "SV %s of %s";
  ParamMessages.mAccessibilityIndexEntry          = "SV Topic %s of Book %s";
  ParamMessages.mAccessibilityIndexSecondEntry    = "SV Topic %s of Book %s link %s";
}

function  WWHJavaScriptMessages_Set_zh(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "\u6b63\u5728\u52a0??\u636e...";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "\u76ee?";
  ParamMessages.mTabsIndexLabel  = "\u7d22\u5f15";
  ParamMessages.mTabsSearchLabel = "\u641c\u7d22";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "\u76ee?\u4e2d?\u4e0d\u5230?\u524d?\u3002";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "\u6240?\u7684\u7d22\u5f15\u5b57?\u51fa?\u5728\u591a?\u6587?\u4e2d\u3002";
  ParamMessages.mIndexSelectMessage2 = "???\u4e00?\u3002";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "?\u59cb\uff01";
  ParamMessages.mSearchScopeAllLabel       = "\u6240\u6709?\u7c4d";
  ParamMessages.mSearchDefaultMessage      = "?\u5165\u8981\u641c\u7d22\u7684??\uff1a";
  ParamMessages.mSearchSearchingMessage    = "\uff08\u641c\u7d22\uff09";
  ParamMessages.mSearchNothingFoundMessage = "\uff08\u65e0?\u679c\uff09";
  ParamMessages.mSearchRankLabel           = "??";
  ParamMessages.mSearchTitleLabel          = "??";
  ParamMessages.mSearchBookLabel           = "?\u7c4d";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "ZH Select %s";
  ParamMessages.mAccessibilityNavigationFrameName = "ZH %s navigation";
  ParamMessages.mAccessibilityActiveTab           = "ZH %s tab is active";
  ParamMessages.mAccessibilityInactiveTab         = "ZH Switch to %s tab";
  ParamMessages.mAccessibilityTOCBookExpanded     = "ZH Book %s expanded";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "ZH Book %s collapsed";
  ParamMessages.mAccessibilityTOCTopic            = "ZH Topic %s";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "ZH %s of %s";
  ParamMessages.mAccessibilityIndexEntry          = "ZH Topic %s of Book %s";
  ParamMessages.mAccessibilityIndexSecondEntry    = "ZH Topic %s of Book %s link %s";
}

function  WWHJavaScriptMessages_Set_zh_tw(ParamMessages)
{
  // Initialization Messages
  //
  ParamMessages.mInitializingMessage = "\u8f09\u5165\u8cc7\u6599...";

  // Tab Labels
  //
  ParamMessages.mTabsTOCLabel    = "\u76ee\u9304";
  ParamMessages.mTabsIndexLabel  = "\u7d22\u5f15";
  ParamMessages.mTabsSearchLabel = "\u641c\u5c0b";

  // TOC Messages
  //
  ParamMessages.mTOCFileNotFoundMessage = "\u76ee\u9304\u4e2d?\u4e0d\u5230\u76ee\u524d\u7db2\u9801\u3002";

  // Index Messages
  //
  ParamMessages.mIndexSelectMessage1 = "?\u9078\u64c7\u7684\u6587\u5b57\u6216\u8a5e\u5f59\u51fa\u73fe\u5728\u591a\u500b\u6587\u4ef6\u4e2d\u3002";
  ParamMessages.mIndexSelectMessage2 = "\u8acb\u9078\u64c7\u5176\u4e2d\u4e00\u9805\u3002";

  // Search Messages
  //
  ParamMessages.mSearchButtonLabel         = "\u958b\u59cb\uff01";
  ParamMessages.mSearchScopeAllLabel       = "\u6240\u6709\u53ef\u7528\u66f8\u7c4d";
  ParamMessages.mSearchDefaultMessage      = "\u8f38\u5165\u8981\u641c\u5c0b\u6587\u5b57\uff1a";
  ParamMessages.mSearchSearchingMessage    = "(\u641c\u5c0b\u4e2d)";
  ParamMessages.mSearchNothingFoundMessage = "(\u6c92\u6709\u7d50\u679c)";
  ParamMessages.mSearchRankLabel           = "\u95dc\u806f\u6027";
  ParamMessages.mSearchTitleLabel          = "\u6a19\u984c";
  ParamMessages.mSearchBookLabel           = "\u66f8\u540d";

  // Accessibility Messages
  //
  ParamMessages.mAccessibilityTabsFrameName       = "ZH_TW Select %s";
  ParamMessages.mAccessibilityNavigationFrameName = "ZH_TW %s navigation";
  ParamMessages.mAccessibilityActiveTab           = "ZH_TW %s tab is active";
  ParamMessages.mAccessibilityInactiveTab         = "ZH_TW Switch to %s tab";
  ParamMessages.mAccessibilityTOCBookExpanded     = "ZH_TW Book %s expanded";
  ParamMessages.mAccessibilityTOCBookCollapsed    = "ZH_TW Book %s collapsed";
  ParamMessages.mAccessibilityTOCTopic            = "ZH_TW Topic %s";
  ParamMessages.mAccessibilityTOCOneOfTotal       = "ZH_TW %s of %s";
  ParamMessages.mAccessibilityIndexEntry          = "ZH_TW Topic %s of Book %s";
  ParamMessages.mAccessibilityIndexSecondEntry    = "ZH_TW Topic %s of Book %s link %s";
}
